---
updatedAt: 2026-04-05T12:55:43.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get SAML SSO General Settings

Get the SAML SSO general settings, including whether SAML SSO is enabled
and whether a certificate is present.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - SAML API",
    "description": "SAML configuration APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** All APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "SAML",
      "description": "APIs for creating, updating, deleting, and managing SAML SSO settings in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/saml/general_settings": {
      "get": {
        "tags": [
          "SAML"
        ],
        "summary": "Get SAML SSO General Settings",
        "description": "Get the SAML SSO general settings, including whether SAML SSO is enabled\nand whether a certificate is present.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "getSamlGeneralSettings",
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SamlGeneralSettings"
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "SamlGeneralSettings": {
        "type": "object",
        "properties": {
          "enable": {
            "type": "boolean",
            "description": "Whether SAML SSO is enabled."
          },
          "certificateIsPresent": {
            "type": "boolean",
            "description": "Whether a SAML certificate is present."
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": false
  }
}
```